clang 10.0.0git

Public Member Functions | List of all members
clang::Sema::ContextRAII Class Reference

A RAII object to temporarily push a declaration context. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| ContextRAII (Sema &S, DeclContext *ContextToPush, bool NewThisContext=true)
void | pop ()
| ~ContextRAII ()

## Detailed Description

A RAII object to temporarily push a declaration context.

Definition at line 797 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ ContextRAII()

clang::Sema::ContextRAII::ContextRAII | ( | Sema & | S,
|  | DeclContext * | ContextToPush,
|  | bool | NewThisContext = `true`
| ) |  |
| inline

Definition at line 805 of file Sema.h.

References clang::Sema::CurContext, and clang::Sema::CXXThisTypeOverride.

## ◆ ~ContextRAII()

clang::Sema::ContextRAII::~ContextRAII | ( |  | ) |
| inline

Definition at line 824 of file Sema.h.

## Member Function Documentation

## ◆ pop()

void clang::Sema::ContextRAII::pop | ( |  | ) |
| inline

Definition at line 816 of file Sema.h.

References clang::Sema::CurContext, clang::Sema::CXXThisTypeOverride, clang::Sema::DelayedDiagnostics, and clang::Sema::DelayedDiagnostics::popUndelayed().

Referenced by clang::Sema::InstantiateEnum().

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h